﻿$(document).ready(function(){

	$(".slideshow").delegate("a.pager-item", "click", function(event){
		$($(event.currentTarget).data("cycle")).cycle($(event.currentTarget).data("index"));
		$($(event.currentTarget).data("cycle")).cycle('pause');
	});

	$(["prev", "next"]).each(function(i, arrowclass){
		$(".slideshow.arrows").delegate("a.arrow."+arrowclass, "click", function(event){
			$($(event.currentTarget).data("cycle")).cycle(arrowclass);
			$($(event.currentTarget).data("cycle")).cycle('pause');
		});
	});

	$(".slideshow").each(function(){

		var $this = $(this);

		var activate = function() {
			if ($("ul li", $this).length > 1) {
				// using self-written pager because of cycle's pagerAnchorBuilder IE issues...
				var $pager = $(".pager", $this);
				if ($pager.length == 0) {
					$pager = $('<div class="pager"></div>');
					$this.append($pager);
					for (var idx = 0; idx < $("ul li", $this).length; idx++) {
						var $slidelink = $('<a class="pager-item pager-item-' + (idx+1) + '"><span>' + (idx+1) + '</span></a>');
						$slidelink.data("index", idx).data("cycle", $("ul", $this));
						$pager.append($slidelink);
						$this.trigger('pager-item-created', [$slidelink]);
					}
					$("ul", $this).cycle({
						'timeout': 8000,
						'speed': 1000,
						'cleartype': true,
						'cleartypeNoBg': true,
						'before': function(currSlideElement, nextSlideElement, options, forwardFlag){
							$("a.pager-item.selected", $pager).removeClass("selected");
							var idx = $(nextSlideElement).prevAll().length + 1;
							$("a.pager-item-" + idx, $pager).addClass("selected");
						},
						'requeueOnImageNotLoaded': false
					});
				}
				if ($this.hasClass("arrows")) {
					$(["prev", "next"]).each(function(i, arrowclass){
						var $arrow = $("a.arrow." + arrowclass, $this);
						if ($arrow.length == 0) {
							$arrow = $('<a class="arrow ' + arrowclass + '"></a>');
							$arrow.data("cycle", $("ul", $this));
							$this.append($arrow);
						}
					});
				}
			}
		}

		$this.bind('activate', activate);

		$this.trigger('activate');

	});

});
